Skip to content

Endpoints

All operations require authentication.

1 operationv2/vrackServices/resource
Agent setup

List eligible managed servicesProduction

GET
/v2/vrackServices/resource/{vrackServicesId}/eligibleManagedService

Returns, by type, the managed services that can get a Service Endpoint in the vRack Services. Only services in the same region are eligible.

Path parameters

vrackServicesId
required
string

Vrack services ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200EligibleManagedService[]successful operation
managedServiceType
read-only
string

IAM resource type. Compatible managed service types are listed by /reference/compatibleManagedServiceType call.

managedServiceURNs
read-only
string[]

List of IAM resource URNs

Example uses vrackServicesId = string

$ curl https://api.eu.ovhcloud.com/v2/vrackServices/resource/{vrackServicesId}/eligibleManagedService \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "managedServiceType": "string", "managedServiceURNs": [ "string" ] }]